Get Professional Candidates
GET /professionals/candidates
GET
/professionals/candidates
Allows a professional to retrieve a list of all posting candidates they have submitted.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” category
required
string
Filter candidates by category
status
string
Filter by professional status within category. For active: applied, scheduled, interviewed. For archived: hired, closed
page
integer
Page number (default: 1)
pageSize
integer
Page size (default: 15)
Responses
Section titled “ Responses ”Successfully retrieved candidates
object
data
Array<object>
object
appliedAt
string
createdAt
string
createdBy
string
hiringStatus
string
id
string
isShortlisted
boolean
officeStatus
string
onsiteInterviewId
string
postingDetails
object
id
string
officeId
string
officeName
string
postingTitle
string
professionType
string
salaryRange
object
max
integer
min
integer
payType
string
yearly
integer
schedule
object
expectedDays
Array<integer>
type
string
specialty
string
state
string
status
string
subProfession
string
postingId
string
professionalEmail
string
professionalId
string
professionalName
string
professionalPhone
string
professionalStatus
string
professionalStatusUpdatedAt
string
resumeId
string
updatedAt
string
updatedBy
string
pagination
object
page
integer
pageSize
integer
total
integer
Bad Request (e.g., invalid or missing category filter)
object
error
string
Unauthorized (API key missing or invalid)
object
error
string
Forbidden (Professional ID not found in token)
object
error
string
Internal Server Error (e.g., database error, service failure)
object
error
string